# Trade tape

`GET https://api.getchord.xyz/v1/tokens/trades/{address}`

Source: https://getchord.xyz/docs/api-reference/operations/tokentrades/

Recent swaps of a token, newest first, with the venue, side, size, price and the attributed wallet. Filter by side, venue, minimum size or wallet; page with `page`. `stats24h` sums the day.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `address` | path | yes | string |  |
| `side` | query | no | `buy` · `sell` |  |
| `dex` | query | no | string | Venue id. |
| `min` | query | no | number | Minimum USD. |
| `wallet` | query | no | string |  |
| `limit` | query | no | integer (default `25`) |  |
| `page` | query | no | integer (default `1`) |  |

## Response 200

Example (captured from the live API):

```json
{
  "trades": [
    {
      "tx": "0x4e0bda6af0d4e75c98049cc7c64c5fb9112dcb7e397d68f851cfc01406df33db",
      "logIndex": 41,
      "dex": "uniswap_v3",
      "side": "buy",
      "tokenAmt": 0.00587394,
      "usd": 472.372001,
      "priceUsd": 80418.25435738193,
      "ts": 1789891817,
      "wallet": "0x0e177f6758872e474c8adb191fbd33352495911d"
    },
    {
      "tx": "0xac5d6408c433ced6e93e0b5d4118f5f726511c0e0514f4ea6a9a7cb98552cde4",
      "logIndex": 3,
      "dex": "uniswap_v3",
      "side": "buy",
      "tokenAmt": 0.01154339,
      "usd": 928.183258,
      "priceUsd": 80408.20400246374,
      "ts": 1789891817,
      "wallet": "0x870c73c98a14b6956b79247e1a1cdc68ba0060ee"
    }
  ],
  "total": 2001,
  "page": 1,
  "pageSize": 2,
  "dexes": [
    "slipstream_fork",
    "uniswap_v3"
  ],
  "stats24h": {
    "buys": 11127,
    "sells": 9332,
    "buyUsd": 2902488.248025012,
    "sellUsd": 3019938.981532
  }
}
```

- **400**: Invalid parameters — `error` names the check that failed (`INVALID_PARAMS`, `BAD_ADDRESS`, `BAD_LIMIT`, `BAD_HOURS`, …).
- **404**: Nothing at this identity (`NOT_FOUND`, `UNKNOWN_TOKEN`, `NO_ROUTE`).
